[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.AdjustEditorBounds

Updates the selected cell and sets the bounds for the optional cell Editor.

## Declaration

Source position: grids.pas line 979

`protected procedure TCustomGrid.AdjustEditorBounds(`
`NewCol: Integer;`
`NewRow: Integer`
`); virtual;`

## Arguments

`NewCol` |  | Column number for the current cell selection in the grid.
`NewRow` |  | Row number for the current cell selection in the grid.

## Description

Calls SetColRow to update the values in the Col and Row properties. Values in NewCol and NewRow are stored in the corresponding property.

When EditorMode is set to True, the private EditorPos method is called to position the Editor to the new cell selection.

## See also

TCustomGrid.Col |  | Column index for the selected grid cell.
TCustomGrid.Row |  | Row number for the selected grid cell.
TCustomGrid.Editor |  | The editor control used to modify the value in the current cell.
TCustomGrid.EditorMode |  | True when the Editor is ready to modify the value for the current cell.
TCustomGrid.SetColRow |  | Makes the specified column and row a selected cell in the grid control.